OpenVZ Forum


Home » General » Support » Need help with installation on RHEL5
Need help with installation on RHEL5 [message #50094] Fri, 26 July 2013 04:55 Go to next message
dannyt is currently offline  dannyt
Messages: 3
Registered: July 2013
Junior Member
Hi,

We are still using RHEL5 (2.6.18) kernel for some reason. It looks that the repository doesn't support 2.6.18 any more, but please correct me if I'm wrong.

I tried to do it manually, by installing the following packages:

ovzkernel-2.6.18-348.4.1.el5.028stab107.2.x86_64.rpm
vzctl-lib-3.0.30-1.x86_64.rpm
vzctl-3.0.30-1.x86_64.rpm
vzquota-3.0.12-1.x86_64.rpm

However, the vz service (/etc/init.d/vz) doesn't show up. Have I missed any packages? Any help is appreciated.

Thanks!
Re: Need help with installation on RHEL5 [message #50102 is a reply to message #50094] Fri, 26 July 2013 19:25 Go to previous messageGo to next message
Paparaciz
Messages: 302
Registered: August 2009
Senior Member

what do you mean by "It looks that the repository doesn't support 2.6.18 any more"?

can you show your /etc/yum.repos.d/openvz.repo file?

p.s. latest stable vzctl version is 4.4
Re: Need help with installation on RHEL5 [message #50106 is a reply to message #50094] Fri, 26 July 2013 19:48 Go to previous messageGo to next message
dannyt is currently offline  dannyt
Messages: 3
Registered: July 2013
Junior Member
Thanks for the reply.

I just check the /etc/yum.repos.d/openvz.repo file and it has the RHEL5 section:

[openvz-utils]
...

[openvz-kernel-rhel6]
...

[openvz-kernel-rhel6-testing]
...

[openvz-kernel-rhel6-debuginfo]
...

## RHEL5-based OpenVZ kernels. Come on, switch to RHEL6 already!

[openvz-kernel-rhel5]
name=OpenVZ RHEL5-based kernel
#baseurl=#I cannot use links until I have posted more than 10 messages
mirrorlist=#I cannot use links until I have posted more than 10 messages
gpgcheck=1
gpgkey=#I cannot use links until I have posted more than 10 messages

[openvz-kernel-rhel5-testing]
...


But when I do "yum install vzkernel", it complained:

Loading "rhnplugin" plugin
Loading "installonlyn" plugin
This system is not registered with RHN.
RHN support will be disabled.
Setting up Install Process
Setting up repositories
openvz-kernel-rhel6       100% |=========================|  951 B    00:00
openvz-utils              100% |=========================|  951 B    00:00
Reading repository metadata in from local files
Excluding Packages from OpenVZ RHEL6-based stable kernels
Finished
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package vzkernel.i686 0:2.6.32-042stab078.28 set to be installed
---> Package vzkernel.x86_64 0:2.6.32-042stab078.28 set to be installed
--> Running transaction check
--> Processing Dependency: kernel-firmware >= 2.6.32-358.6.2.el6 for package: vzkernel
--> Finished Dependency Resolution
Error: Missing Dependency: kernel-firmware >= 2.6.32-358.6.2.el6 is needed by package vzkernel


2 years ago, I have installed OpenVZ on RHEL5 using yum, and it worked at that time. But I couldn't find the installation instruction for RHEL5 any more.

[Updated on: Fri, 26 July 2013 19:55]

Report message to a moderator

Re: Need help with installation on RHEL5 [message #50107 is a reply to message #50094] Fri, 26 July 2013 19:56 Go to previous messageGo to next message
Paparaciz
Messages: 302
Registered: August 2009
Senior Member
you didn't provided full openvz.repo
but as first guess please make such changes (if this fresh install of openvz HN):
in
[openvz-kernel-rhel6] section disable this:
enabled=0

in [openvz-kernel-rhel5] section enable this:
enabled=1

if this old install just use "yum update"

on rhel5 you have to install "ovzkernel". don't forget to check that it installs 64bit kernel version.

if this fresh install of openvz, why you don't use rhel6 based os and kernel versions?
Re: Need help with installation on RHEL5 [message #50108 is a reply to message #50094] Fri, 26 July 2013 20:11 Go to previous message
dannyt is currently offline  dannyt
Messages: 3
Registered: July 2013
Junior Member
My bad! I didn't pay attention to the enabled flag. Everything works great now.

We are running a modified OpenVZ kernel for research purposes, but that patch is for 2.6.18 OpenVZ kernel only. We do have plans to migrate the patch to 2.6.32 in the future though.

Thanks again for the quick help.
Previous Topic: how to migrate x86 container from x86 to x86_64
Next Topic: Slackware Problem
Goto Forum:
  


Current Time: Sat Jun 15 23:43:14 GMT 2024

Total time taken to generate the page: 0.03709 seconds